
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/python/shoalsoft/pants_opentelemetry_plugin:wheel

from setuptools import setup

setup(**{
    'author': 'Tom Dyas',
    'author_email': 'tom@shoalsoftware.com',
    'description': 'Pantsbuild OpenTelemetry Plugin from Shoal Software LLC',
    'install_requires': (
        'grpcio==1.70.0',
        'opentelemetry-api==1.33.1',
        'opentelemetry-exporter-otlp==1.33.1',
        'opentelemetry-sdk==1.33.1',
    ),
    'long_description': """# Pantsbuild OpenTelemetry Plugin

## Overview

This is a plugin to the [Pantsbuild](https://pantsbuild.org/) build orchestration tool to emit tracing spans to OpenTelemetry-compatible systems for the build workflows orchestrated by Pants. The plugin is licensed under the [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0).

## Installation

From PyPI:

1. In the relevant Pants project, edit `pants.toml` to set the `[GLOBAL].plugins` option to include `shoalsoft-pants-opentelemetry-plugin` and the `[GLOBAL].backend_packages` option to include `shoalsoft.pants_opentelemetry_plugin`.

2. For basic export to a local OTLP/GRPC OpenTelemetry agent on its default port, configure the plugin as follows in `pants.toml`:

   ```toml
   [shoalsoft-opentelemetry]
   enabled = true
   exporter = "grpc"
   ```

3. The plugin exposes many other options (which correspnd to `OTEL_` environment variables in other systems).  Run `pants help-advanced shoalsoft-opentelemetry` to see all of the plugin's available configuration options.

Note: The plugin respects any `TRACEPARENT` environment variable and will link generated traces to the parent trace and span referenced in the `TRACEPARENT`.

""",
    'name': 'shoalsoft-pants-opentelemetry-plugin',
    'namespace_packages': (
    ),
    'package_data': {
    },
    'packages': (
        'shoalsoft.pants_opentelemetry_plugin',
    ),
    'python_requires': '==3.11.*',
    'url': 'https://github.com/shoalsoft/shoalsoft-pants-opentelemetry-plugin',
    'version': '0.2.0.dev2',
})
